<?php
use Incoviba\Controller\API\Proyectos;

$app->group('/proyectos', function($app) {
    $app->get('/escriturando[/]', [Proyectos::class, 'escriturando']);
    $files = new FilesystemIterator(implode(DIRECTORY_SEPARATOR, [__DIR__, 'proyectos']));
    foreach ($files as $file) {
        if ($file->isDir()) {
            continue;
        }
        include_once $file->getRealPath();
    }
    $app->get('[/]', [Proyectos::class, 'list']);
});
$app->group('/proyecto/{proyecto_id}', function($app) {
    $app->get('/estados[/]', [Proyectos\EstadosProyectos::class, 'byProyecto']);
    $app->get('/estado[/]', [Proyectos\EstadosProyectos::class, 'currentByProyecto']);
    $app->get('/inicio[/]', [Proyectos\EstadosProyectos::class, 'firstByProyecto']);
    $app->get('/recepcion[/]', [Proyectos\EstadosProyectos::class, 'recepcionByProyecto']);
    $app->group('/superficies', function($app) {
        $app->get('/vendible[/]', [Proyectos::class, 'superficies']);
    });
    $app->group('/unidades', function($app) {
        $app->post('/precios[/]', [Proyectos\Unidades::class, 'precios']);
        $app->post('/estados[/]', [Proyectos\Unidades::class, 'estados']);
        $app->get('/disponibles[/]', [Proyectos::class, 'disponibles']);
        $app->get('[/]', [Proyectos::class, 'unidades']);
    });
    $app->group('/terreno', function($app) {
        $app->post('/edit[/]', [Proyectos::class, 'terreno']);
    });
    $app->get('/brokers', [Proyectos::class, 'brokers']);
});
